### Virtual Method

# Ide ProjectTemplate expand_async

#### Declaration

    void
    expand_async (
      IdeProjectTemplate* self,
      GHashTable* params,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests expansion of the template.

This may involve creating files and directories on disk as well as expanding files based on the contents of `params`.

It is expected that this method is only called once on an `IdeProjectTemplate`.

Available since: | 3.32

#### Parameters

`params` | `GHashTable`
| A hashtable of template parameters.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable` or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| The callback for the asynchronous operation.
`user_data` | `gpointer`
| User data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.